Subject: bug#30438: 27.0.50; (error "Error in syntax_table logic for to-the-end intervals")

From: Noam Postavsky <[email-masked]>
Date: Thu, 08 Mar 2018 20:06:23 -0500

tags 30438 + moreinfo
quit

Sam Steingold <[email-masked]> writes:

> I get this error:
>
> Debugger entered--Lisp error: (error "Error in syntax_table logic for to-the-end intervals")
>   looking-at("\\b[[:alpha:]]\\([. ]\\|\\b\\)")
>   mail-extr-voodoo(8 15 #<buffer  *canonical address*>)
>   mail-extract-address-components(#("\"冯书\" <[email-masked]>" 1 3 (charset gb18030-2-byte)))
>
>
> when I select a gnus group.

I tried evaluating

(require 'mail-extr)
(mail-extract-address-components
 #("\"冯书\" <[email-masked]>" 1 3 (charset gb18030-2-byte)))

from 'emacs -Q', but that doesn't show the error.  Does this still
occur, and could you find a way to reproduce it from emacs -Q?